/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス\nファイル定義[BlancoNLpackGeneratorDiffResultDetail/blancoNLpackGenerator の ResultDetail の差分をあらわすCSVファイル。]のレコードクラス\n
 */
public class BlancoNLpackGeneratorDiffResultDetailCsvRecord {
    /**
     * 項目番号: 1\n項目の説明: URI\n文字列はダブルクオート処理されて入出力されます。\n必須項目\n
     *
     * フィールド: [BundleUri]。
     */
    private String fBundleUri;

    /**
     * 項目番号: 2\n項目の説明: Diff\n文字列はダブルクオート処理されて入出力されます。\nMIN長さ: 3\n
     *
     * フィールド: [Diff]。
     */
    private String fDiff;

    /**
     * 項目番号: 3\n項目の説明: Key\n文字列はダブルクオート処理されて入出力されます。\nMIN長さ: 1\n
     *
     * フィールド: [Key]。
     */
    private String fKey;

    /**
     * 項目番号: 4\n項目の説明: LeftAction\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [LeftAction]。
     */
    private String fLeftAction;

    /**
     * 項目番号: 5\n項目の説明: LeftInput\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [LeftInput]。
     */
    private String fLeftInput;

    /**
     * 項目番号: 6\n項目の説明: LeftOutput\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [LeftOutput]。
     */
    private String fLeftOutput;

    /**
     * 項目番号: 7\n項目の説明: RightAction\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [RightAction]。
     */
    private String fRightAction;

    /**
     * 項目番号: 8\n項目の説明: RightInput\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [RightInput]。
     */
    private String fRightInput;

    /**
     * 項目番号: 9\n項目の説明: RightOutput\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [RightOutput]。
     */
    private String fRightOutput;

    /**
     * 項目番号: 10\n項目の説明: Note\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [Note]。
     */
    private String fNote;

    /**
     * フィールド [BundleUri] の値を設定します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @param argBundleUri フィールド[BundleUri]に設定する値。
     */
    public void setBundleUri(final String argBundleUri) {
        fBundleUri = argBundleUri;
    }

    /**
     * フィールド [BundleUri] の値を取得します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @return フィールド[BundleUri]から取得した値。
     */
    public String getBundleUri() {
        return fBundleUri;
    }

    /**
     * フィールド [Diff] の値を設定します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Diff
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 3
     * ]。
     *
     * @param argDiff フィールド[Diff]に設定する値。
     */
    public void setDiff(final String argDiff) {
        fDiff = argDiff;
    }

    /**
     * フィールド [Diff] の値を取得します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Diff
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 3
     * ]。
     *
     * @return フィールド[Diff]から取得した値。
     */
    public String getDiff() {
        return fDiff;
    }

    /**
     * フィールド [Key] の値を設定します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Key
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 1
     * ]。
     *
     * @param argKey フィールド[Key]に設定する値。
     */
    public void setKey(final String argKey) {
        fKey = argKey;
    }

    /**
     * フィールド [Key] の値を取得します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Key
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 1
     * ]。
     *
     * @return フィールド[Key]から取得した値。
     */
    public String getKey() {
        return fKey;
    }

    /**
     * フィールド [LeftAction] の値を設定します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: LeftAction
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argLeftAction フィールド[LeftAction]に設定する値。
     */
    public void setLeftAction(final String argLeftAction) {
        fLeftAction = argLeftAction;
    }

    /**
     * フィールド [LeftAction] の値を取得します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: LeftAction
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[LeftAction]から取得した値。
     */
    public String getLeftAction() {
        return fLeftAction;
    }

    /**
     * フィールド [LeftInput] の値を設定します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: LeftInput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argLeftInput フィールド[LeftInput]に設定する値。
     */
    public void setLeftInput(final String argLeftInput) {
        fLeftInput = argLeftInput;
    }

    /**
     * フィールド [LeftInput] の値を取得します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: LeftInput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[LeftInput]から取得した値。
     */
    public String getLeftInput() {
        return fLeftInput;
    }

    /**
     * フィールド [LeftOutput] の値を設定します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: LeftOutput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argLeftOutput フィールド[LeftOutput]に設定する値。
     */
    public void setLeftOutput(final String argLeftOutput) {
        fLeftOutput = argLeftOutput;
    }

    /**
     * フィールド [LeftOutput] の値を取得します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: LeftOutput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[LeftOutput]から取得した値。
     */
    public String getLeftOutput() {
        return fLeftOutput;
    }

    /**
     * フィールド [RightAction] の値を設定します。
     *
     * フィールドの説明: [項目番号: 7
     * 項目の説明: RightAction
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argRightAction フィールド[RightAction]に設定する値。
     */
    public void setRightAction(final String argRightAction) {
        fRightAction = argRightAction;
    }

    /**
     * フィールド [RightAction] の値を取得します。
     *
     * フィールドの説明: [項目番号: 7
     * 項目の説明: RightAction
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[RightAction]から取得した値。
     */
    public String getRightAction() {
        return fRightAction;
    }

    /**
     * フィールド [RightInput] の値を設定します。
     *
     * フィールドの説明: [項目番号: 8
     * 項目の説明: RightInput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argRightInput フィールド[RightInput]に設定する値。
     */
    public void setRightInput(final String argRightInput) {
        fRightInput = argRightInput;
    }

    /**
     * フィールド [RightInput] の値を取得します。
     *
     * フィールドの説明: [項目番号: 8
     * 項目の説明: RightInput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[RightInput]から取得した値。
     */
    public String getRightInput() {
        return fRightInput;
    }

    /**
     * フィールド [RightOutput] の値を設定します。
     *
     * フィールドの説明: [項目番号: 9
     * 項目の説明: RightOutput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argRightOutput フィールド[RightOutput]に設定する値。
     */
    public void setRightOutput(final String argRightOutput) {
        fRightOutput = argRightOutput;
    }

    /**
     * フィールド [RightOutput] の値を取得します。
     *
     * フィールドの説明: [項目番号: 9
     * 項目の説明: RightOutput
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[RightOutput]から取得した値。
     */
    public String getRightOutput() {
        return fRightOutput;
    }

    /**
     * フィールド [Note] の値を設定します。
     *
     * フィールドの説明: [項目番号: 10
     * 項目の説明: Note
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argNote フィールド[Note]に設定する値。
     */
    public void setNote(final String argNote) {
        fNote = argNote;
    }

    /**
     * フィールド [Note] の値を取得します。
     *
     * フィールドの説明: [項目番号: 10
     * 項目の説明: Note
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[Note]から取得した値。
     */
    public String getNote() {
        return fNote;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorDiffResultDetailCsvRecord[");
        buf.append("BundleUri=" + fBundleUri);
        buf.append(",Diff=" + fDiff);
        buf.append(",Key=" + fKey);
        buf.append(",LeftAction=" + fLeftAction);
        buf.append(",LeftInput=" + fLeftInput);
        buf.append(",LeftOutput=" + fLeftOutput);
        buf.append(",RightAction=" + fRightAction);
        buf.append(",RightInput=" + fRightInput);
        buf.append(",RightOutput=" + fRightOutput);
        buf.append(",Note=" + fNote);
        buf.append("]");
        return buf.toString();
    }
}
